; 1.0 states



;---------------------------------------------------------------------------
; Stand to Crouch
[Statedef 10]
type    = C
physics = C
anim = 10

[State 10, 1]
type = VelMul
trigger1 = Time = 0
x = .75

[State 10, 2] ;Stop moving if low velocity
type = VelSet
trigger1 = abs(vel x) < Const(movement.crouch.friction.threshold)
x = 0

[State 10, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 11

;---------------------------------------------------------------------------
; Crouching
[Statedef 11]
type    = C
physics = C
anim = 11
sprpriority = 0

[State 11, 1] ;Change from turning animation
type = ChangeAnim
trigger1 = Anim = 6 && AnimTime = 0
trigger2 = anim = [25,26]
trigger2 = command != "holdfwd"
trigger2 = command != "holdback"
value = 11


[State 11, 2] ;Stop moving if low velocity
type = VelSet
trigger1 = abs(vel x) < Const(movement.crouch.friction.threshold)
x = 0

;---------------------------------------------------------------------------
; Air get-hit (falling)
[Statedef 5050]
type    = A
movetype= H
physics = N

[State 5050, 1] ;Change anim when done with transition
type = ChangeAnim
trigger1 = AnimTime = 0
trigger1 = Anim = 5035
trigger2 = Time = 0     ;If no transition anim
trigger2 = Anim != 5035
trigger2 = (Anim != [5051, 5059]) && (Anim != [5061, 5069])
trigger2 = Anim != 5090 ;Not if hit off ground anim
value = 5050


[State 5050, 2] ;Coming down anim
type = ChangeAnim
trigger1 = anim = [5050,5059]
trigger1 = Vel Y >= ifelse(anim = 5050, 1, -2)
;trigger1 = Vel Y >= ifelse(anim = 5050, Const720p(4), Const720p(-8))
trigger1 = SelfAnimExist(anim+10)
value = anim+10
persistent = 0

[State 5050, 3] ;Gravity
type = VelAdd
trigger1 = time>0
y = GetHitVar(yaccel)

[State 5050, 4] ;Recover near ground
type = ChangeState
triggerall = Vel Y > 0
triggerall = Pos Y >= -20;Const(movement.air.gethit.groundrecover.ground.threshold)
triggerall = alive
triggerall = CanRecover
;triggerall = !var(19)
trigger1 = Command = "recovery"
value = 5200 ;Air get-hit (fall recovery on ground)

[State 5050, 5]; Recover in mid air
type = ChangeState
triggerall = Vel Y > -1;Const(movement.air.gethit.airrecover.threshold)
triggerall = alive
triggerall = CanRecover
;triggerall = !var(19)
trigger1 = Command = "recovery"
value = 5210 ;Air get-hit (fall recovery in air)

[State 5050, 6]
type = ChangeState
triggerall = Vel Y > 0
;trigger1 = Pos Y >= ifelse((anim = [5051,5059]) || (anim = [5061,5069]), 0, 25)
trigger1 = Pos Y >= ifelse((anim = [5051,5059]) || (anim = [5061,5069]), 0, Const(movement.air.gethit.groundlevel))
value = 5100 ;Downed get-hit (hit ground from fall)

;---------------------------------------------------------------------------
; Tripped get-hit (knocked away)
[Statedef 5071]
type    = A
movetype= H
physics = N

[State 0, VarSet]
type = VarSet
trigger1 = time = 0
sysvar(0) = 0

[State 5071, 1]
type = HitVelSet
trigger1 = Time = 0
x = 1
y = 1

[State 5071, 2] ;Acceleration
type = VelAdd
trigger1 = time>0
y = GetHitVar(yaccel)

[State 5071, 3] ;Hit ground
trigger1 = Vel Y > 0
trigger1 = Pos Y >= Const(movement.air.gethit.trip.groundlevel)
type = ChangeState
value = 5110

;---------------------------------------------------------------------------
; Downed get-hit (bounce off ground)
[Statedef 822]
type    = L
movetype= H
physics = N

[State 5101, 1] ;Coming hit ground anim (normal)
type = ChangeAnim
triggerall = time = 0
trigger1 = anim != [5101,5109]
trigger2 = !SelfAnimExist(5160 + (anim % 10))
value = 5160

[State 5101, 2] ;Coming hit ground anim (for hit up)
type = ChangeAnim
triggerall = time = 0
trigger1 = anim = [5101,5109]
trigger1 = SelfAnimExist(5160 + (anim % 10))
value = 5160 + (anim % 10)

[State 5101, 3]
type = HitFallVel
trigger1 = Time = 0

[State 5101, 4]
type = PosSet
trigger1 = Time = 0
y = Const(movement.down.bounce.offset.y)

[State 5101, 5]
type = PosAdd
trigger1 = Time = 0
x = Const(movement.down.bounce.offset.x)

[State 5101, 6] ;Acceleration
type = VelAdd
trigger1 = time > 0
y = 0.5625 * (16.0/15.0) * 1.07;Const(movement.down.bounce.yaccel)

[State 5101, 7] ;Hit ground
trigger1 = Vel Y > 0
trigger1 = Pos Y >= Const(movement.down.bounce.groundlevel)
type = SelfState
value = 5110

;------------------
; Hit by Fast Kung Fu Palm - flying through the air
; (a custom gethit state)
[Statedef 1276]
type    = A
movetype= H
physics = N

[State 1026, Velocity]
type = HitVelSet
trigger1 = Time = 0
x = 1
y = 1


[State 1025, Anim] ;Custom animation
type = ChangeAnim
trigger1 = time = 0
trigger1 = vel x > 0
value = 5070

[State 1026, Gravity]
type = VelAdd
trigger1 = time >= 0
y = gethitvar(yaccel);.88

[State 1026, No scroll]
type = ScreenBound
triggerall = Pos y < -15
trigger1 = BackEdgeBodyDist < 65
trigger2 = FrontEdgeBodyDist < 65
value = 1
movecamera = 0,1

[State 1026, Hit wall]
type = ChangeState
triggerall = Pos y < -15
trigger1 = BackEdgeBodyDist <= 20
trigger2 = FrontEdgeBodyDist <= 20
value = 1277

[State 1026, Hit ground]
type = SelfState
trigger1 = (Vel y > 0) && (Pos y >= Const(movement.air.gethit.groundlevel))
value = 5100

;------------------
; Hit by Fast Kung Fu Palm - bounce off wall
; (a custom gethit state)
[Statedef 1278]
type    = A
movetype= H
physics = N

[State 0, PlayerPush]
type = PlayerPush
trigger1 = time >= 0
value = 0
ignorehitpause = 1

[State 1028, Vel Y]
type = VelSet
trigger1 = Time = 0
y = -10.12

[State 1028, Vel X]
type = VelSet
trigger1 = Time = 0
x = 4.7

[State 1028, Turn]
type = Turn
trigger1 = (Time = 0) && (BackEdgeDist < 30)

[State 1028, Gravity]
type = VelSet
trigger1 = time > 0
x = vel x * 0.97
y = vel y+gethitvar(yaccel);.88

[State 1028, Anim 5050] ;Self falling animation
type = ChangeAnim
trigger1 = Time = 0
trigger1 = !SelfAnimExist(5052)
value = 5050

[State 1028, Anim 5052] ;Self falling animation (diagup type)
type = ChangeAnim
trigger1 = Time = 0
trigger1 = SelfAnimExist(5052)
value = 5052

[State 1028, Anim 5060] ;Coming down - normal
type = ChangeAnim
trigger1 = Vel Y > -2
trigger1 = Anim = 5050
trigger1 = SelfAnimExist(5060)
persistent = 0
value = 5060

[State 1028, Anim 5062] ;Coming down - diagup type
type = ChangeAnim
trigger1 = Vel Y > -2
trigger1 = Anim = 5052
trigger1 = SelfAnimExist(5062)
persistent = 0
value = 5062

[State 1028, Hit ground]
type = SelfState
trigger1 = (Vel y > 0) && (Pos y >= Const(movement.air.gethit.groundlevel))
value = 5100

; MAX Timer
[Statedef 970]
type    = A
movetype= I
physics = N
juggle  = 0
anim = 9741
;velset = 0,0
ctrl = 0
sprpriority = -8

[State 0, VelSet]
type = VelSet
trigger1 = time = 0
y = 0
[State 0, VelSet]
type = PosSet
trigger1 = time = 0
y = 0

[State ProRation]
type = VarSet
trigger1 = time = 0
trigger1 = movehit
fvar(13) = fvar(13) * 0.6
ignorehitpause = 1

[State 0, VarSet]
type = VarSet
trigger1 = time = 0
fvar(10) = gameheight

[State 0, VarSet]
type = VarSet
trigger1 = 1
fvar(0) = 1+(sin(time*.123)*.1)
ignorehitpause = 1

[State 0, PlaySnd]
type = PlaySnd
trigger1 = time = 0
value = S0,30

[State 0, VarSet]
type = VarSet
trigger1 = time = 0
fvar(7) = 1
[State 0, VarSet]
type = VarSet
trigger1 = time
fvar(7) = fvar(7) * 0.9

[State 0, VarSet]
type = VarSet
trigger1 = time >= 0
fvar(8) = parent,var(19)

[State 0, Explod]
type = Explod
trigger1 = time = 0
anim = 970
ID = 970
pos = ifelse(teamside=1,4,316)-ceil(80*fvar(7)*ifelse(teamside=1,1,-1)),ceil(fvar(10))+ceil(parent,fvar(33))
postype = left
facing = ifelse(teamside=1,1,-1)
vfacing = 1
bindtime = -1
vel = 0,0
accel = 0,0
random = 0,0
removetime = -1
pausemovetime = 65535
supermovetime = 65535
scale = .25*(fvar(8)/1000.0) ,.25
sprpriority = 83
ontop = 1
ownpal = 1
ignorehitpause = 1
[State 0, Explod]
type = ModifyExplod
trigger1 = numexplod(970)
ID = 970
pos = ifelse(teamside=1,4,316)-ceil(80*fvar(7)*ifelse(teamside=1,1,-1)),ceil(fvar(10))+ceil(parent,fvar(33))
postype = left
facing = ifelse(teamside=1,1,-1)
vfacing = 1
bindtime = -1
vel = 0,0
accel = 0,0
random = 0,0
removetime = -1
pausemovetime = 65535
supermovetime = 65535
scale = .25*(fvar(8)/1000.0) ,.25
sprpriority = 83
ontop = 1
ownpal = 1
ignorehitpause = 1

[State 0, Explod]
type = Explod
trigger1 = time = 0
anim = 971
ID = 971
pos = ifelse(teamside=1,4,316)-ceil(80*fvar(7)*ifelse(teamside=1,1,-1)),ceil(fvar(10))+ceil(parent,fvar(33))
postype = left
facing = ifelse(teamside=1,1,-1)
vfacing = 1
bindtime = -1
vel = 0,0
accel = 0,0
random = 0,0
removetime = -1
pausemovetime = 65535
supermovetime = 65535
scale = .25,.25
sprpriority = 84
ontop = 1
ownpal = 1
ignorehitpause = 1
[State 0, Explod]
type = ModifyExplod
trigger1 = numexplod(971)
ID = 971
pos = ifelse(teamside=1,4,316)-ceil(80*fvar(7)*ifelse(teamside=1,1,-1)),ceil(fvar(10))+ceil(parent,fvar(33))
postype = left
facing = ifelse(teamside=1,1,-1)
vfacing = 1
bindtime = -1
vel = 0,0
accel = 0,0
random = 0,0
removetime = -1
pausemovetime = 65535
supermovetime = 65535
scale = .25,.25
sprpriority = 84
ontop = 1
ownpal = 1
ignorehitpause = 1

[State 0, Explod]
type = Explod
trigger1 = time = 0
anim = 972
ID = 972
pos = ifelse(teamside=1,4+19,316-19)-ceil(80*fvar(7)*ifelse(teamside=1,1,-1)),ceil(fvar(10)+5)+ceil(parent,fvar(33))
postype = left
facing = 1
vfacing = 1
bindtime = -1
vel = 0,0
accel = 0,0
random = 0,0
removetime = -1
pausemovetime = 65535
supermovetime = 65535
scale = .25*fvar(0),.25*fvar(0)
sprpriority = 87
ontop = 1
ownpal = 1
ignorehitpause = 1
[State 0, Explod]
type = ModifyExplod
trigger1 = numexplod(972)
ID = 972
pos = ifelse(teamside=1,4+19,316-19)-ceil(80*fvar(7)*ifelse(teamside=1,1,-1)),ceil(fvar(10)+5)+ceil(parent,fvar(33))
postype = left
facing = 1
vfacing = 1
bindtime = -1
vel = 0,0
accel = 0,0
random = 0,0
removetime = -1
pausemovetime = 65535
supermovetime = 65535
scale = .25*fvar(0),.25*fvar(0)
sprpriority = 87
ontop = 1
ownpal = 1
ignorehitpause = 1

[State 0, RemoveExplod]
type = RemoveExplod
triggerall = numexplod(970)
trigger1 = parent,var(19)<=0
trigger2 = roundstate >= 4
id = 970

[State 0, RemoveExplod]
type = RemoveExplod
triggerall = numexplod(971)
trigger1 = parent,var(19)<=0
trigger2 = roundstate >= 4
id = 971

[State 0, RemoveExplod]
type = RemoveExplod
triggerall = numexplod(972)
trigger1 = parent,var(19)<=0
trigger2 = roundstate >= 4
id = 972

[State 0, DestroySelf]
type = DestroySelf
trigger1 = time
trigger1 = !numexplod(970)
trigger1 = !numexplod(971)
trigger1 = !numexplod(972)

[Statedef 3022]
type    = A
movetype= H
physics = N
velset = -6.6,-8.6

[State 0, NotHitBy]
type = NotHitBy
trigger1 = time < 7
value = SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
time = 2
ignorehitpause = 1

[State 0, ScreenBound]
type = ScreenBound
trigger1 = time >= 0
value = 1
movecamera = 1,0
ignorehitpause = 1

[State 820, 1]
type = ChangeAnim
Trigger1 = Time = 0
value = ifelse(selfanimexist(5052),5052,5030)

[State 820, 1]
type = ChangeAnim
Trigger1 = anim = 5030
trigger1 = animtime = 0
value = ifelse(selfanimexist(5035),5035,5050)
[State 820, 1]
type = ChangeAnim
Trigger1 = anim = 5035
trigger1 = animtime = 0
value = 5050

[State 0, VelSet]
type = VelSet
trigger1 = time
y = vel y + 0.9

[State 820, 2]
type = SelfState
trigger1 = vel y > 0
trigger1 = vel y + pos y >= Const(movement.air.gethit.groundlevel)
value = 5100


;---------------------------------------------------------------------------
; FRED FUCKS
[Statedef 3230]
type    = S
movetype= A
physics = N
juggle  = 0
poweradd = 0
ctrl = 0
anim = 9741

[State 0, VarSet]
type = VarSet
trigger1 = time = 0
fvar(11) = gameheight
[State 0, VarSet]
type = VarSet
trigger1 = time = 0
fvar(12) = .5 / (240/fvar(11))

[State 0, Explod]
type = Explod
trigger1 = time = 1
anim = 3230
ID = 3230
pos = 160,floor(gameheight/2)
postype = left
bindtime = -1
removetime = -1
pausemovetime = 65535
supermovetime = 65535
scale = fvar(12),fvar(12)
sprpriority = -64
ownpal = 0
removeongethit = 1
ignorehitpause = 1
[State 0, PalFX]
type = PalFX
trigger1 = parent,anim = 3261
trigger1 = parent,stateno = 3261
time = 2
mul = ceil(256*(parent,fvar(0)) ),ceil(256*(parent,fvar(0)) ),ceil(256*(parent,fvar(0)) )
color = 256
ignorehitpause = 1

[State 0, RemoveExplod]
type = RemoveExplod
trigger1 = numexplod(3230)
trigger1 = parent,anim = 3262
id = 3230
ignorehitpause = 1

[State 0, DestroySelf]
type = DestroySelf
trigger1 = time
trigger1 = !numexplod(3230)

;---------------------------------------------------------------------------
; Super Portrait
[Statedef 2990]
type    = S
movetype= I
physics = N
velset = 0,0
ctrl = 0
anim = 9741

[State 0, VarAdd]
type = VarSet
trigger1 = time = 0
var(9) = ((parent,stateno%100)=50)
;var(9) = (parent,stateno=[3200,3299])
[State 0, VarAdd]
type = VarSet
trigger1 = time = 0
trigger1 = parent,stateno = 3300
var(9) = 2
[State 0, VarAdd]
type = VarSet
trigger1 = time = 0
var(12) = 42
[State 0, VarAdd]
type = VarSet
trigger1 = time = 0
trigger1 = parent, stateno = 3100 || parent,stateno = 3150
var(12) = 60
[State 0, VarAdd]
type = VarSet
trigger1 = time = 0
trigger1 = parent, stateno = 3000
var(12) = 30


[State 0, VarSet]
type = VarSet
trigger1 = time = 0
fvar(11) = gameheight
[State 0, VarSet]
type = VarSet
trigger1 = time = 0
fvar(13) = .30;.25
[State 0, VarSet]
type = VarSet
trigger1 = var(9) = 1
fvar(13) = .25;.20
[State 0, VarSet]
type = VarSet
trigger1 = time = 0
fvar(12) = fvar(13) / (240/fvar(11))

[State 0, VarSet]
type = VarSet
trigger1 = time = 0
fvar(2) = 16
[State 0, VarSet]
type = VarSet
trigger1 = time < var(12)
fvar(2) = fvar(2) * 0.9
[State 0, VarSet]
type = VarSet
trigger1 = time >= var(12)
fvar(2) = ifelse(fvar(2)+1.23>=8,8,fvar(2)+1.23)
[State 0, VarSet]
type = VarSet
trigger1 = time > 0
fvar(1) = fvar(1) + fvar(2)

[State 0, VarAdd]
type = VarSet
trigger1 = time >= var(12)
;trigger1 = parent,stateno != 3100
var(0) = ifelse(var(0)-8<=-256,-256,var(0)-8)
[State 0, VarAdd]
type = VarSet
trigger1 = time >= var(12)
;trigger1 = parent,stateno != 3100
fvar(0) = fvar(0) + 0.005

[State 0, Explod]
type = Explod
trigger1 = time = 0
anim = ifelse(var(9)=2,2994,ifelse(var(9)=1,2991,2992+random%2))
;anim = 2991;ifelse(var(9)=2,3106,ifelse(var(9)=1,3107,3109))
ID = 3109
pos = ceil(-64+fvar(1)),ceil(fvar(11))
postype = back
bindtime = 1
removetime = -1
supermovetime = 65535
pausemovetime = 65535
scale = fvar(12)+fvar(0),fvar(12)+fvar(0)
vel = 0,0
sprpriority = -9800
trans = addalpha
alpha = var(0)+256,256-(var(0)+256)
[State 0, ModifyExplod]
type = ModifyExplod
trigger1 = numexplod(3109)
ID = 3109
pos = ceil(-64+fvar(1)),ceil(fvar(11))
postype = back
vel = 0,0
accel = 0,0
bindtime = 1
scale = fvar(12)+fvar(0),fvar(12)+fvar(0)
trans = addalpha
alpha = var(0)+256,256-(var(0)+256)

[State 0, BGPalFX]
type = BGPalFX
trigger1 = time != 0
time = 2
add = (-255 - var(0)),(-255 - var(0)),(-255 - var(0))
ignorehitpause = 1

[State 0, RemoveExplod]
type = RemoveExplod
trigger1 = numexplod(3109)
trigger1 = var(0) < -255
id = 3109


[State 0, DestroySelf]
type = DestroySelf
trigger1 = var(0) < -255
trigger1 = !numexplod(3109)

;---------------------------------------------------------------------------
; States that are always executed (use statedef -2)
;---------------------------------------------------------------------------

[Statedef -2]

[State 0, VarSet]
type = VarSet
trigger1 = var(23)
trigger1 = statetype != A
var(23) = 0
[State 0, VarSet]
type = VarSet
trigger1 = stateno = 45
trigger1 = prevstateno = 635
var(23) = var(23) | floor(exp(0*ln(2)) + 0.5)

[State ME AM USING 1.0]
type = VarSet
trigger1 = var(49) != 1
var(49) = 1
ignorehitpause = 1

[State Usual Winquote]
type = VictoryQuote
triggerall = roundstate <= 2
trigger1 = time = 0
trigger1 = numenemy
value = 0+random%10
ignorehitpause = 1
[State Exploding Phone]
type = VictoryQuote
trigger1 = time = [0,3]
trigger1 = stateno = 183
value = 10+random%6
ignorehitpause = 1
[State HDSM]
type = VictoryQuote
trigger1 = time = [0,3]
trigger1 = stateno = 189
value = 16+random%5
ignorehitpause = 1
[State Winquote vs Herself]
type = VictoryQuote
;triggerall = roundstate <= 2
triggerall = time = [0,4]
triggerall = numenemy
trigger1 = p2name = "Kyoko"
trigger2 = p2name = "Blossomko"
trigger3 = p2name = "Blossom"
trigger4 = p2name = "Momoko Akatsutsumi"
value = 21+random%8
ignorehitpause = 1
[State Winquote vs Buttercup]
type = VictoryQuote
;triggerall = roundstate <= 2
triggerall = time = [0,4]
triggerall = numenemy
trigger1 = p2name = "Misako"
trigger2 = p2name = "Butterko"
trigger3 = p2name = "Buttercup"
trigger4 = p2name = "Kaoru Matsubara"
value = 29+random%6
ignorehitpause = 1
[State Winquote vs Natasha]
type = VictoryQuote
;triggerall = roundstate <= 2
triggerall = time = [0,4]
triggerall = numenemy
trigger1 = p2name = "Natasha"
trigger1 = enemynear,authorname = "The_None"
value = 35+random%6
ignorehitpause = 1
[State Winquote vs Apes]
type = VictoryQuote
triggerall = roundstate <= 2
triggerall = time = 0
triggerall = numenemy
trigger1 = p2name = "Gorrilla"
trigger2 = p2name = "Blizzard"
trigger3 = p2name = "Chaos"
trigger4 = p2name = "SonSon"
value = 41+random%5
ignorehitpause = 1
[State Winquote vs Demons]
type = VictoryQuote
triggerall = roundstate <= 2
triggerall = time = 0
triggerall = numenemy
trigger1 = p2name = "Akuma"
trigger2 = p2name = "Beast"
trigger3 = p2name = "Bristol-D"
trigger4 = p2name = "Blackheart"
trigger5 = p2name = "Dabura"
trigger6 = p2name = "Clarice Di Lanza"
trigger6 = p2name = "Devil"
trigger6 = p2name = "Devil Jin"
trigger6 = p2name = "Diablo"
trigger6 = p2name = "Fernandez"
trigger6 = p2name = "Red Arremer"
trigger6 = p2name = "Firebrand"
trigger6 = p2name = "Hellboy"
trigger6 = p2name = "Fernandez"
value = 46+random%5
ignorehitpause = 1
[State Winquote vs Alice]
type = VictoryQuote
triggerall = roundstate <= 2
triggerall = time = 0
triggerall = numenemy
trigger1 = p2name = "Alice"
trigger2 = p2name = "Alice Carrol"
trigger3 = p2name = "Alice Liddell"
value = 51+random%4
ignorehitpause = 1
[State Winquote vs Sasquatch]
type = VictoryQuote
triggerall = roundstate <= 2
triggerall = time = 0
triggerall = numenemy
trigger1 = p2name = "Sasquatch"
value = 55+random%3
ignorehitpause = 1
[State Winquote vs Miss Bellum]
type = VictoryQuote
triggerall = roundstate <= 2
triggerall = time = 0
triggerall = numenemy
trigger1 = p2name = "Shermie"
trigger2 = p2name = "Orochi Shermie"
trigger3 = p2name = "O. Shermie"
value = 58+random%4
ignorehitpause = 1
[State Winquote vs Professor Ultonium]
type = VictoryQuote
triggerall = roundstate <= 2
triggerall = time = 0
triggerall = numenemy
trigger1 = p2name = "Samurai Jack"
value = 62+random%4
ignorehitpause = 1
[State Winquote vs Bubbles]
type = VictoryQuote
triggerall = roundstate <= 2
triggerall = time = 0
triggerall = numenemy
trigger1 = p2name = "Mami"
trigger2 = p2name = "Bubblemi"
trigger3 = p2name = "Bubbles"
trigger4 = p2name = "Miyako Goutokuji"
value = 66+random%4
ignorehitpause = 1
[State Winquote vs Kula Diamond]
type = VictoryQuote
triggerall = roundstate <= 2
triggerall = time = 0
triggerall = numenemy
trigger1 = p2name = "Kula Diamond"
trigger2 = p2name = "Kula"
trigger3 = p2name = "Kula & Eddie"
value = 70+random%5
ignorehitpause = 1

[State 0, VarSet]
type = VarSet
triggerall = var(30) = 0
triggerall = numenemy
trigger1 = (enemy,movecontact >= 1 || enemy,projcontact >= 1) && (!enemy,moveguarded)
var(30) = -1
ignorehitpause = 1
[State 0, PowerAdd]
type = PowerAdd
triggerall = var(30) = 0
triggerall = stateno != [3000,3999]
trigger1 = (movecontact >= 1 || projcontact >= 1) && (!moveguarded)
;trigger2 = projhittime = 0
;trigger2 = p2movetype = H
;trigger2 = movetype = A
;trigger2 = p2stateno != [120,169]
;trigger2 = projhittime = 1
value = 150
ignorehitpause = 1
[State -2 Send the message]
type = Varset
triggerall = var(30) = 0
trigger1 = (movecontact >= 1 || projcontact >= 1) && (!moveguarded)
;trigger2 = p2movetype = H
;trigger2 = movetype = A
;trigger2 = p2stateno != [120,169]
;trigger2 = projhittime = 1
var(37) = var(37) | floor(exp(2*ln(2)) + 0.5)
ignorehitpause = 1
[State 0, VarSet]
type = VarSet
triggerall = var(30) = 0
trigger1 = (movecontact >= 1 || projcontact >= 1) && (!moveguarded)
;trigger2 = p2movetype = H
;trigger2 = movetype = A
;trigger2 = p2stateno != [120,169]
;trigger2 = projhittime = 1
var(30) = 1
ignorehitpause = 1

[State -2, Movehitoner]
type = VarSet
trigger1 = numenemy
var(21) = ifelse(movehit=1&&(enemynear,movereversed!=[1,2]),var(21)+1,0)
ignorehitpause = 1
[State -2, Movehitoner]
type = VarSet
trigger1 = !numenemy
var(21) = ifelse(movehit=1,var(21)+1,0)
ignorehitpause = 1
[State -2, Moveguardoner]
type = VarSet
trigger1 = 1
var(22) = ifelse(moveguarded=1,var(22)+1,0)
ignorehitpause = 1
[State -2, FirstHit]
type = VarSet
trigger1 = 1
var(29) = 0
ignorehitpause = 1
[State -2, FirstHit]
type = VarSet
trigger1 = var(21)=1
trigger1 = numtarget
trigger1 = p2stateno != [120,169]
var(29) = (target,gethitvar(hitcount) <= 1)
ignorehitpause = 1

[State -2, Counter?]
type = VarSet
trigger1 = var(21) != 1
var(31) = (p2movetype=A)
ignorehitpause = 1
[State -2 Send the message]
type = Varset
trigger1 = !enemynear,movereversed
trigger1 = var(31) = 1
trigger1 = var(21) = 1
var(37) = var(37) | floor(exp(0*ln(2)) + 0.5)
ignorehitpause = 1
;[State 0, PlaySnd]
;type = PlaySnd
;trigger1 = !enemynear,movereversed
;trigger1 = var(31) = 1
;trigger1 = var(21) = 1
;value = S209,random%10
;channel = 0
;lowpriority = 1
;ignorehitpause = 1

[State P2Soundcode nope]
type = VarSet
trigger1 = 1
var(33) = 0
ignorehitpause = 1
[State P2Soundcode WHAM]
type = VarSet
trigger1 = (numtarget)
trigger1 = (target,stateno = 1207)
trigger1 = (target,time = 1)
trigger1 = (target,movetype = H)
var(33) = 1
ignorehitpause = 1


[State Throw Limiter]
type = VarSet
trigger1 = stateno = 40
trigger2 = statetype = A
trigger2 = movecontact
trigger3 = p2stateno = [120,169]
var(8) = 12
[State Throw Limiter count]
type = VarAdd
trigger1 = var(8) > 0
var(8) = -1
[State 0, Helper]
type = Helper
trigger1 = roundstate < 2
trigger1 = !numhelper(444)
helpertype = normal
name = "CONFIG"
ID = 444
stateno = 444
pos = 444,444
postype = p1
facing = 1
ownpal = 1
supermovetime = 65535
pausemovetime = 65535
ignorehitpause = 1

[State 0, ]
type = PlaySnd
triggerall = alive
triggerall = random < 500
triggerall = anim != 70851
trigger1 = (stateno = 5000) || (stateno = 5010) || (stateno = 5020) || (stateno = 5070)
trigger1 = time = 0
trigger2 = (stateno != 5000) && (stateno != 5010) && (stateno != 5020) && (stateno != 5070)
trigger2 = stateno != [120,160]
trigger2 = gethitvar(damage)
value = 5000,ifelse(gethitvar(animtype)>=2&&random<256,10+random%6,gethitvar(animtype))
;volume = 255
channel = 0
ignorehitpause = 1

[State 0, ]
type = PlaySnd
trigger1 = stateno = 5120
trigger1 = time = 1
trigger1 = random < 500
trigger1 = roundstate < 3
value = 5120,random%2
channel = 0
lowpriority = 1
;volume = 255

[State 0, Helper]
type = Helper
triggerall = !ishelper
trigger1 = !numhelper(179)
helpertype = normal
name = "Misc Stuff"
ID = 179
stateno = 179
pos = 0,0
postype = p1
ownpal = 1
supermovetime = 65535
pausemovetime = 65535
ignorehitpause = 1

[State -2, Neo-Juggle-System-Reset]
type = VarSet
triggerall = var(40)
trigger1 = !numtarget
;trigger2 = numtarget
;trigger2 = (target,statetype != A) && (target,statetype != L)
var(40) = 0
ignorehitpause = 1
[State -2, Neo-Juggle-System-Reset]
type = VarSet
triggerall = var(41)
trigger1 = !numtarget
trigger2 = numtarget
trigger2 = (target,statetype != A) && (target,statetype != L)
var(41) = 0
ignorehitpause = 1
[State -2, Neo-Juggle-System-Reset]
type = VarSet
triggerall = var(42)
trigger1 = !numtarget
trigger2 = numtarget
trigger2 = (target,statetype != A) && (target,statetype != L)
var(42) = 0
ignorehitpause = 1
[State Prevent the prorator from going too low. You can change the minimal proration rate if you want, just make sure the value in the trigger and actual varset match]
type = VarSet
trigger1 = fvar(13) < 0.15
fvar(13) = 0.15
ignorehitpause = 1
[State Prorator Reset]
type = VarSet
trigger1 = !numenemy
trigger2 = p2movetype != H || (!enemynear,gethitvar(hitcount))
trigger2 = !movehit || movereversed
trigger3 = p2stateno = 5120
fvar(13) = 1
ignorehitpause = 1
[State 0, AttackMulSet]
type = AttackMulSet
trigger1 = 1
time = 2
;value = ifelse(p2movetype!=H,ifelse(var(20)=1,1.25,1),1 - ifelse(fvar(15)>.75,.75,fvar(15)))
;value = ( ifelse((stateno=[3000,3900]), 0.25+(fvar(13)*0.75) ,fvar(13))  ) * ifelse((p2statetype=A&&p2movetype!=H)||var(31),1.25,1)
value = ( ifelse((stateno=[3000,3900]), 0.5+(fvar(13)*0.5) ,fvar(13))  ) * ifelse(var(31)||var(19)>0,1.25,1)
ignorehitpause = 1



;
; Within StateDef -2, none of your own AI-related code should be placed
; above these next two controllers.

[State -2, StopAI]
type = VarSet
triggerall = var(58) > 0 && !IsHelper
trigger1 = RoundState != 2
trigger2 = !Alive
var(58) = -2
IgnoreHitPause = 1

; This controller is optional.  It allows you treat the AI flag as a boolean
; value rather than an integer value, letting you trigger your AI directives
; with "var(0)" instead of "var(58)>0", and letting you make moves usable only
; by humans by using "!var(0)" instead of "var(58)<1", thus slightly improving
; the size and efficiency of your code.
; Another benefit is that it makes it much easier for users to disable your AI,
; if they so choose.
[State -2, Scaler]
type = VarSet
trigger1 = time = 0
fvar(36) = roundno + matchno*3
IgnoreHitPause = 1
[State -2, TOO MUCH]
type = VarSet
trigger1 = fvar(36) >= 80
fvar(36) = 80
IgnoreHitPause = 1
[State -2, Simplifier]
type = VarSet
;triggerall = !IsHelper
;trigger1 = var(58) = 1
;trigger2 = fvar(35):=0
trigger1 = !ishelper
fvar(35) = ifelse((roundstate=2&&ailevel>=1),ailevel+fvar(36),0)
IgnoreHitPause = 1

[State ANTI-MINDGAME-GUARD]
type = VarAdd
triggerall = var(50) < 120
trigger1 = p2movetype = A
trigger1 = stateno = [120,169]
var(50) = 1
ignorehitpause = 1
[State ANTI-MINDGAME-GUARD]
type = VarSet
triggerall = var(50) > 0
trigger1 = stateno = [150,155]
trigger1 = time = 1
var(50) = ceil(var(50)*0.5)
ignorehitpause = 1
[State ANTI-MINDGAME-GUARD]
type = VarAdd
triggerall = var(50) > 0
triggerall = (gametime%3)=0
trigger1 = p2movetype != A
trigger2 = stateno != [120,169]
var(50) = -1
ignorehitpause = 1
[State ANTI-MINDGAME-TH]
type = VarSet
trigger1 = numenemy
trigger1 = fvar(35)
var(51) = (enemynear,HitDefAttr = SCA,AT) || (var(50) > 20) || ((abs(enemynear,animtime) <= enemynear,moveguarded )) || (numhelper(3050))
ignorehitpause = 1


;================================================================================
; ------- KOF Cornerpush System by Vans --------
;===============================================================================
[State -2, Superpause Check]
type = VarAdd
trigger1 = Var(6)
var(6) = -1

[State -2, Reset Time counter]
type = VarSet
trigger1 = movecontact = 1
var(12) = 0

[State -2, Accel]
type = VarSet
triggerall = roundstate = 2
triggerall = Var(6) <= 0
triggerall = numtarget >= 1
trigger1 = target, hitshakeover
fvar(6) = (target, gethitvar(xvel)*exp((-0.1886)*((var(12)))))
[State -2, Push]
type = PosAdd
triggerall = roundstate = 2
triggerall = !var(6)
triggerall = numtarget >= 1
triggerall = (target, BackEdgeBodyDist <= 0) || (target, FrontEdgeBodyDist <= 0)
triggerall = ProjContact = 0, < 50
triggerall = stateno != [800,899]
triggerall = stateno != [10800,10899]
triggerall = stateno != 3300
triggerall = stateno != 3010
triggerall = stateno != 3060
triggerall = enemynear,statetype != A
triggerall = enemynear,statetype != L
trigger1 = Statetype != A
x = ifelse(facing = -1,fvar(6),-fvar(6))

[State -2, Increase]
type = VarSet
triggerall = Var(6) <= 0
triggerall = var(12)
trigger1 = numtarget >= 1
trigger1 = target, hitshakeover
var(12) = var(12)+1

[State -2, Time counter]
type = VarSet
trigger1 = !var(12)
trigger1 = fvar(6)
var(12) = 1

[State -2, Freeze Pos During Superpause]
type = PosFreeze
trigger1 = Var(6)
value = 1

[State -2, Drop]
type = VarSet
triggerall = fvar(6)
trigger1 = !numtarget
trigger2 = projcontact = 1
trigger3 = movecontact = 1
fvar(6) = 0
ignorehitpause = 1

[State -2, Drop]
type = VarSet
triggerall = fvar(8)
trigger1 = !numtarget
trigger2 = projcontact = 1
trigger3 = numtarget >= 1 && target, gethitvar(xvel) = 0
var(17) = 0

; MAX
[State -2, MAX Palfx]
type = PalFX
trigger1 = var(19) > 0
trigger1 = (var(19)%4)=0
time = 3
add = 140,50,0
mul = 250,250,120
sinadd = 110,85,55,4
invertall = 0
color = 128
ignorehitpause = 1
[State -2, MAX Countdown]
type = VarSet
trigger1 = var(19) > 0
var(19) = ifelse(var(19)-1<=0,0,var(19)-1)
ignorehitpause = 1
[State -2, MAX Cancel]
type = VarSet
triggerall = var(19) > 0
trigger1 = !alive
trigger2 = roundstate = 3
var(19) = 0
ignorehitpause = 1
[State 0, Helper]
type = Helper
trigger1 = roundstate = 2
trigger1 = var(19) > 0
trigger1 = !numhelper(970)
helpertype = normal
name = "Max Timer"
ID = 970
stateno = 970
pos = 0,0
postype = p1
facing = 1
ownpal = 1
supermovetime = 65535
pausemovetime = 65535
